SDL_WarpMouseInWindow(3)

NAME
SDL_WarpMouseInWindow - Move the mouse cursor to the given position within the window.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_WarpMouseInWindow(SDL_Window * window,
                           float x, float y);

DESCRIPTION
This function generates a mouse motion event if relative mode is not enabled. If relative mode is enabled, you can force mouse events for the warp by setting the SDL_HINT_MOUSE_RELATIVE_WARP_MOTION hint. Note that this function will appear to succeed, but not actually move the mouse when used over Microsoft Remote Desktop.

FUNCTION PARAMETERS

window
    the window to move the mouse into, or NULL for the current mouse focus

x   the x coordinate within the window

y   the y coordinate within the window

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_WarpMouseGlobal(3)